de.esprit.appsuite.database.dbgui.field

## Class FieldCheckList

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.database.dbgui.field.FieldCheckList

- All Implemented Interfaces:
    Dumpable

      public class FieldCheckList
      extends DumpableObject

  This class collects min/max value entries for field input checking. It is used internally by the `InputValidator`
  Author:
    Rainer Buesch
  See Also:
    `InputValidator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldCheckList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getExcludedValue(Field field)`
    `java.lang.String` | `getMatchPattern(Field field)`
    `java.lang.Object` | `getMaxValue(Field field)`
    `java.lang.Object` | `getMinValue(Field field)`
    `void` | `put(Field field, InputCheckType checkType, java.lang.Object checkObject)`
    `int` | `size()`
    `java.lang.String` | `toDumpString()` Note that this method returns a String with platform specific line breaks.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldCheckList

          public FieldCheckList()

  - ### Method Detail

    - #### put

          public void put(Field field,
                 InputCheckType checkType,
                 java.lang.Object checkObject)

    - #### getMinValue

          public java.lang.Object getMinValue(Field field)

    - #### getMaxValue

          public java.lang.Object getMaxValue(Field field)

    - #### getExcludedValue

          public java.lang.Object getExcludedValue(Field field)

    - #### getMatchPattern

          public java.lang.String getMatchPattern(Field field)

    - #### size

          public int size()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public java.lang.String toDumpString()

      Description copied from class: `DumpableObject`
      Note that this method returns a String with platform specific line breaks. Therefore it can be directly written to any Writer.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.